%global uuid    com.uploadedlobster.%{name}

Name:           peek
Version:        1.4.0
Release:        1%{?dist}
Summary:        Animated GIF screen recorder with an easy to use interface

# The entire source code is GPLv3+ except:
# MIT:          print-description.py
License:        GPLv3+ and MIT
URL:            https://github.com/phw/peek
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gzip
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  txt2man
BuildRequires:  vala
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.20
BuildRequires:  pkgconfig(keybinder-3.0)
Requires:       dbus-common
Requires:       gstreamer1-plugins-good >= 1.2
Requires:       hicolor-icon-theme
Recommends:     ffmpeg >= 3
Recommends:     gstreamer1-plugins-ugly
# For future (Rust package)
# Suggests:       gifski

%description
Peek makes it easy to create short screencasts of a screen area. It was built
for the specific use case of recording screen areas, e.g. for easily showing UI
features of your own apps or for showing a bug in bug reports. With Peek, you
simply place the Peek window over the area you want to record and
press "Record". Peek is optimized for generating animated GIFs, but you can also
directly record to WebM or MP4 if you prefer.

Peek is not a general purpose screencast app with extended features but rather
focuses on the single task of creating small, silent screencasts of an area of
the screen for creating GIF animations or silent WebM or MP4 videos.

Peek runs on X11 or inside a GNOME Shell Wayland session using XWayland.
Support for more Wayland desktops might be added in the future (see FAQs below).


%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{uuid}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{uuid}.desktop


%files -f %{name}.lang
%license LICENSE
%doc README.md AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/man/man1/*.1.*
%{_metainfodir}/*.xml


%changelog
* Tue Sep 24 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.0-1
- Update to 1.4.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-7.20190616gitaeb190d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 16 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3.1-6.20190616gitaeb190d
- Update to 1.3.1-6.20190616gitaeb190d

* Wed Apr 17 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3.1-5.20190508git6e76e30
- Initial package
